precision mediump float;
uniform sampler2D u_TextureUnit;
varying vec2 v_TextureCoordinates;

uniform float u_alpha;

void main()
{
    if (u_alpha==1.0){
        gl_FragColor = vec4(texture2D(u_TextureUnit, v_TextureCoordinates).rgb*0.7, u_alpha);//1.0的话颜色过度绘制
    } else {
        gl_FragColor = vec4(texture2D(u_TextureUnit, v_TextureCoordinates).rgb, u_alpha);
    }

}